device_type: juno-r2

job_name: juno-debian-nfs

timeouts:
  job:
    minutes: 30
  action:
    minutes: 5
  actions:
    bootloader-interrupt:
      seconds: 120
    u-boot-commands:
      seconds: 120
    uboot-retry:
      seconds: 180
  connections:
    u-boot-interrupt:
      seconds: 120
    u-boot-commands:
      seconds: 120
    uboot-retry:
      seconds: 180

priority: medium
visibility: public

actions:

- deploy:
    namespace: recovery
    timeout:
      minutes: 10
    to: vemsd
    recovery_image:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/juno/rpb/linux-stable-rc-4.4/113/juno-oe-uboot.zip
      compression: zip

- deploy:
    namespace: target
    timeout:
      minutes: 10
    to: tftp
    os: oe
    kernel:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/juno/rpb/linux-stable-rc-4.4/113/Image--4.4+git0+4518605144-r0-juno-20180117145117-113.bin
      type: image
    dtb:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/juno/rpb/linux-stable-rc-4.4/113/Image--4.4+git0+4518605144-r0-juno-r2-20180117145117-113.dtb
    nfsrootfs:
      url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/juno/rpb/linux-stable-rc-4.4/113/rpb-console-image-juno-20180117145117-113.rootfs.tar.xz
      compression: xz

- boot:
    namespace: target
    timeout:
      minutes: 10
    connection-namespace: recovery
    method: u-boot
    commands: nfs
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):~#

- test:
    namespace: target
    connection-namespace: recovery
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
